# addDealExternalLink

Add a titled URL to a deal's Links card (getDeal externalLinks). To change one, remove it and add it again.

- Call: `POST https://server.goliathdata.com/api/v1/call` with `{ "operationId": "addDealExternalLink", "variables": {...} }`
- Scope: `WRITE`
- Type: mutation
- Idempotency: honors `Idempotency-Key` (24 h)
- Rate-limited: no

## Variables

- `dealId`: `ID!` (required)
- `title`: `String!` (required)
- `url`: `String!` (required)

## Response (data, an example)

```json
{
  "dealMutation": {
    "createDealExternalLink": {
      "id": "<ID>",
      "title": "…",
      "url": "…"
    }
  }
}
```

## Example

```bash
curl https://server.goliathdata.com/api/v1/call \
  -H "Authorization: Bearer $GOLIATH_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
    "operationId": "addDealExternalLink",
    "variables": {
      "dealId": "<dealId>",
      "title": "<String>",
      "url": "<String>"
    }
  }'
```
